kr.co.hanwha.hifive.adapter

## Class MainHomeAssignedListAdapter

- java.lang.Object
- - android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>
  - - kr.co.hanwha.hifive.adapter.MainHomeAssignedListAdapter

- All Implemented Interfaces:
    MainHomeAssignedListContract.Model, MainHomeAssignedListContract.View

      public class MainHomeAssignedListAdapter
      extends android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>
      implements MainHomeAssignedListContract.Model, MainHomeAssignedListContract.View

  Created by sanghoonkwon on 2018. 1. 25..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private android.content.Context` | `mContext`
    `private java.util.ArrayList<TaskListViewHolderData>` | `mListData`
    `private MainHomeContract.OnMainHomeListListener` | `mOnMainHomeListListener`
    `private int` | `ZERO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainHomeAssignedListAdapter(android.content.Context context, MainHomeContract.OnMainHomeListListener onMainHomeListListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItems(java.util.ArrayList<TaskListData> todayListData, java.util.ArrayList<TaskListData> taskListData, java.util.ArrayList<TaskListData> closedListData)` Model
    `int` | `getItemCount()`
    `int` | `getItemViewType(int position)` Adapter
    `void` | `notifyDataAll()` View
    `void` | `notifyDataRangeChanged(int positionStart, int itemCount)`
    `void` | `onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder, int position)`
    `android.support.v7.widget.RecyclerView.ViewHolder` | `onCreateViewHolder(android.view.ViewGroup parent, int viewType)`

    - ### Methods inherited from class android.support.v7.widget.RecyclerView.Adapter

      `bindViewHolder, createViewHolder, getItemId, hasObservers, hasStableIds, notifyDataSetChanged, notifyItemChanged, notifyItemChanged, notifyItemInserted, notifyItemMoved, notifyItemRangeChanged, notifyItemRangeChanged, notifyItemRangeInserted, notifyItemRangeRemoved, notifyItemRemoved, onAttachedToRecyclerView, onBindViewHolder, onDetachedFromRecyclerView, onFailedToRecycleView, onViewAttachedToWindow, onViewDetachedFromWindow, onViewRecycled, registerAdapterDataObserver, setHasStableIds, unregisterAdapterDataObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mContext

          private android.content.Context mContext

    - #### ZERO

          private final int ZERO

      See Also:
        Constant Field Values

    - #### mOnMainHomeListListener

          private MainHomeContract.OnMainHomeListListener mOnMainHomeListListener

    - #### mListData

          private java.util.ArrayList<TaskListViewHolderData> mListData

  - ### Constructor Detail

    - #### MainHomeAssignedListAdapter

          public MainHomeAssignedListAdapter(@NonNull
                                             android.content.Context context,
                                             @NonNull
                                             MainHomeContract.OnMainHomeListListener onMainHomeListListener)

  - ### Method Detail

    - #### notifyDataAll

          public void notifyDataAll()

      View
      Specified by:
        `notifyDataAll` in interface `MainHomeAssignedListContract.View`

    - #### notifyDataRangeChanged

          public void notifyDataRangeChanged(int positionStart,
                                             int itemCount)

      Specified by:
        `notifyDataRangeChanged` in interface `MainHomeAssignedListContract.View`

    - #### addItems

          public void addItems(java.util.ArrayList<TaskListData> todayListData,
                               java.util.ArrayList<TaskListData> taskListData,
                               java.util.ArrayList<TaskListData> closedListData)

      Model
      Specified by:
        `addItems` in interface `MainHomeAssignedListContract.Model`

    - #### getItemViewType

          public int getItemViewType(int position)

      Adapter
      Overrides:
        `getItemViewType` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

    - #### onCreateViewHolder

          public android.support.v7.widget.RecyclerView.ViewHolder onCreateViewHolder(android.view.ViewGroup parent,
                                                                                      int viewType)

      Specified by:
        `onCreateViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

    - #### onBindViewHolder

          public void onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder,
                                       int position)

      Specified by:
        `onBindViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

    - #### getItemCount

          public int getItemCount()

      Specified by:
        `getItemCount` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`